* This is a program for making a plainTeX file
* with two commands to be 'hypertexted': \email and \www.
*  out of a dBaseIII+ file AI.dbf containing information on
*  astronomical institutions in Czechia and Slovakia.
* The resulting fresh ai.tep is to be typeset by means of (non-changing) ai.tex

set talk off
use ai index ai_town
set filte to existence<>'n'
go top
set procedure to ai_l_tex
set alternate to ai.tep
set alternate on
public hea, ob, nl
ang_sym=;
 "\catcode`\^^b0=13 \def ^^b0{$^\circ$} "+;
 "\catcode`\'=13 \def '{$^\prime$} "+;
 '\catcode`\"=13 \def "{$^{\prime\prime}$} '

r='\cr'
m = space(6)
? '% a PlainTeX file with Astronomical Institutions of Czechia and Slovakia'
? '\font\small = cmr8'
? '\hyphenation {Czecho-slovakia}'
? '\hsize 120mm'
? '\vsize 180mm'
*? '\def\d{$^\circ$}'
*? "\def\'{$^\prime$}"
*? '\def\"{$^{\prime\prime}$}'
? '\def\\{\hfil\break}'
? '\parindent 11mm'
? '\parskip 0pt'

? '\settabs \+ 975 90 \  &  Astronomie  a astrofky  MFF UK \quad \  &'
? '(366) & \bf 17.000$^\circ$ \ \  & \bf 48.000$^\circ$ \ \  & 1060 m \cr'

do while .not. eof()
? '\vbox{'
? '\+',institutio,'& & & \bf',iif(eas>0,str(ed+eam/60+eas/3600,6,3)+'$^\circ$',;
     str(ed+eam/60,5,2)+'$^\circ$ ')
?? ' & \bf',iif(nas>0,str(nd+nam/60+nas/3600,8,3)+'$^\circ$',;
     str(nd+nam/60,7,2)+'$^\circ$ ')
?? ' & '+iif(alt_m>0, str(alt_m,5)+' m',' ')+r
if name<>'   '
  ? '\+',name,r
endif
if street<>'    '
  ? '\+',street,r
endif
? '\+',postcod,'&',iif(('\bf'$institutio) .or. ('\bf'$name),'','\bf'),town,'& \hfill',;
   subst(phone,1,at(')',phone)),'&',subst(phone,at(')',phone)+1),r
? '\smallskip'
ob = iif(len(trim(e_mail))>0 .and. len(trim(fax))>0,;
         trim(e_mail)+'; '+trim(fax), trim(e_mail)+'  '+trim(fax))
hea = 'E/fx\hskip 0.2mm :'
if .not. ob = '  '
 ? iif(hea<>m,'\+ \item{'+hea+'} ',m)+ ;
 iif(len(trim(e_mail))>0,;
  iif(e_mail<>'?','\email{'+trim(e_mail)+'}',trim(e_mail)),'')
 ?? iif(len(trim(fax))>0,' & &'+;
  iif(subst(fax,1,1)='('.and. asc(subst(fax,2,1))<64,' \hfill '+;
   subst(fax,1,at(')',fax))+' & '+trim(subst(fax,at(')',fax)+1)),;
  ' & '+trim(fax)),'')+' \cr'
endif
*do je
ob = trim(www)
hea = 'Web\hskip 0.4mm :'
if len(ob)>0
  ? iif(hea<>m,' \item{'+hea+'} ',m)+'\hwww{'+ob+'}'
endif
*do je
ob = phone_comm
hea = 'PhC\hskip 0.3mm :'
do je
ob = staff_etc1
hea = 'Staff:'
do je
ob = staff____2
hea = m
do je
? '{',iif(chr(248)$location_1 .or. chr(248)$locat____2 .or.;
  chr(248)$locat____3,ang_sym,'')
ob = location_1
hea = 'Loc.\hskip 0.7mm :'
do je
hea = m
ob = locat____2
do je
ob = locat____3
do je
 ? '}'
ob = activity_1
hea = 'Act.\hskip 0.8mm :'
do je
ob = activ____2
hea = m
do je
ob = activ____3
do je
ob = equipment1
hea = 'Equ.\hskip 0.1mm :'
do je
ob = equip____2
hea = m
do je
ob = public_o_h
hea = 'Open'
do je
ob = Periodical
hea = 'Pub.:'
DO JE
ob = Engl_Trans
hea = 'Tra.\hskip 0.9mm :'
do je
? '\vskip -0.7mm'
? '{\small \settabs '
?? "\+ \hskip 1mm & Character: po  pl pu ra cb & Updated 93\quad "
?? "& Founded 1966\quad & AROW91\quad & M.o.A.\quad & EAI subscriber \cr"
? '\+ &',iif(Character<>'  ','Character: '+Character,' '),'& '
?? iif(Updated<>'  ','Updated '+Updated,' '),'& '
?? iif(Founded<>' ','Founded '+Founded,' '),'& '
?? iif(Arow91='y',"AROW91",' '),'& '
?? iif(Member_o_A<>' ',' M.o.A. ',' '),'& '
?? iif(EAI='y','EAI subscr.',' '),'\cr }'
? '}'
? '\bigskip'
? '\vfill'
?
skip
endif
enddo
?
set alternate off
set talk on
quit

procedure je
*  This module   JE.PRG
*   'prints' the line  'ob' and its heading,
*   if the line is not empty.
if .not. ob = '  '
  ? iif(hea<>m,' \item{'+hea+'} ',m)+ob
endif
return

