* AI_obscz.prg
* differs from AI_html just by the longer filter

* This is a program for making a HTML file
*  out of a dBaseIII+ file AI.dbf containing information on
*  astronomical institutions in Czechia and Slovakia.
*  some information contained in the dBase file is not written
*  - but this concerns just two auxiliary fields: Selected and Existence

set talk off
USE AI INDEX AI_TOWN
set filte to (existence<>'n') .and. ('po '$Character .or.'ra '$Character);
 .and. (Cc='cz')
go top
set procedure to ai_obscz

set alternate to obs_cz_i.htm
set alternate on
public hea, ob, nl

m = space(6)

? '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">'
? '<!--From ai.dbf produced by ai_obscz.prg (a dBaseIII+ programme),'
? '  both by Jan Hollan, N. Copernicus Observatory and Planetarium in Brno-->'
? '<html>'
? '<head>'
? '<title>'
? ' The Astronomical Observatories in Czechia -- Index'
? '</title>'
? '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">'
? '</head>'
? '<body bgcolor="white">'
? 'For explanation of the structure and further information,'
? 'see the typeset version. The author'
? 'will be glad to get your comments and updates.'
? '<a href="mailto:hollan@ped.muni.cz">Please mail him.</a>'
? 'The whole database (*.dbf with the programmes and typeset outputs)'
? 'is available at home server of'
? '<a href="http://astro.sci.muni.cz/pub/hollan/astrinst/">Jan Hollan</a>'
? 'from the'
? '<a href="http://www.sci.muni.cz/obsbrno">N. Copernicus Observatory and'
? 'Planetarium in Brno.</a>'
? '<p>'

numobs=0
do while .not. eof()
pbf=at('\bf',institutio)
was_pbf=pbf>0
numobs=numobs+1
? '<p><a href="obs_cz.htm#'+ltrim(str(numobs,3))+'">'
? iif(pbf>0,stuff(trim(institutio),pbf,4,'<em>')+'</em>',trim(institutio))
if name<>'   '
  pbf=at('\bf',name)
  was_pbf=(pbf>0) .or. was_pbf
  ? trim(iif(pbf>0,stuff(trim(name),pbf,4,'<em>')+'</em>',trim(name)))
endif
?? '<br>'
? iif(was_pbf,trim(town),'<em>'+trim(town)+'</em>')+'</a>'
?
skip
enddo

? '<p>'
? 'For explanation of the structure, and further information,'
? 'see the typeset version. The author'
? 'will be glad to get your comments and updates.'
? '<a href="mailto:hollan@ped.muni.cz">Please mail him.</a>'
? 'The whole database (*.dbf with the programmes and typeset outputs)'
? 'is available at home server of'
? '<a href="http://astro.sci.muni.cz/pub/hollan/astrinst/">Jan Hollan</a>'
? 'from the'
? '<a href="http://www.sci.muni.cz/obsbrno">N. Copernicus Observatory and'
? 'Planetarium in Brno.</a>'
?
? '<p>(Even this very simple html should be checked, when made, by'
? '<a'
? 'href="http://validator.w3.org/check?uri=http://astro.sci.muni.cz/pub/hollan/astrinst/ai.html">'
? 'W3C Validator</a>, to have its syntax OK.)'
?
? '</body>'
? '</html>'

set alternate off
go top

set alternate to obs_cz.htm
set alternate on

? '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">'
? '<!--From ai.dbf produced by ai_obscz.prg (a dBaseIII+ programme),'
? '  both by Jan Hollan, N. Copernicus Observatory and Planetarium in Brno-->'
? '<html>'
? '<head>'
? '<title>'
? ' The Astronomical Observatories in Czechia'
? '</title>'
? '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">'
? '</head>'
? '<body bgcolor="white">'
? 'For explanation of the structure and further information,'
? 'see the typeset version. The author'
? 'will be glad to get your comments and updates.'
? '<a href="mailto:hollan@ped.muni.cz">Please mail him.</a>'
? 'The whole database (*.dbf with the programmes and typeset outputs)'
? 'is available at home server of'
? '<a href="http://astro.sci.muni.cz/pub/hollan/astrinst/">Jan Hollan</a>'
? 'from the'
? '<a href="http://www.sci.muni.cz/obsbrno">N. Copernicus Observatory and'
? 'Planetarium in Brno.</a>'
? '<p>'
? '<pre>'

numobs=0
do while .not. eof()
pbf=at('\bf',institutio)
was_pbf=pbf>0
numobs=numobs+1
? '<a name='+ltrim(str(numobs,3))+'>'
? iif(pbf>0,stuff(institutio,pbf,4,'<em>')+'</em>',institutio)+;
    '</a>  '+iif(eas>0,str(ed+eam/60+eas/3600,6,3)+chr(248),;
    str(ed+eam/60,5,2)+chr(248)+' ')
?? iif(nas>0,str(nd+nam/60+nas/3600,8,3)+chr(248),;
     str(nd+nam/60,7,2)+chr(248)+' ')
?? iif(alt_m>0, str(alt_m,5)+' m','')
if name<>'   '
  pbf=at('\bf',name)
  was_pbf=(pbf>0) .or. was_pbf
  ? trim(iif(pbf>0,stuff(name,pbf,4,'<em>')+'</em>',name))
endif
if street<>'    '
  ? trim(street)
endif
? postcod+'  '+iif(was_pbf,town,'<em>'+town+'</em>')+space(14)+trim(phone)
?
ob = fax
hea = ' fax: '
do je
ob = phone_comm
hea = ' PhC: '
do je
ob = e_mail
hea = ' E-m: '
if .not. ob = '  '
 ?hea+iif(e_mail<>'?','<a href="mailto:'+trim(ob)+'">'+trim(ob)+'</a>',;
          trim(ob) )
endif
ob = www
hea = ' Web: '
if .not. ob = '  '
 ?hea+'<a href="http://'+trim(ob)+'">'+trim(ob)+'</a>'
endif
ob = staff_etc1
hea = ' S/C: '
do je
ob = staff____2
hea = m
do je
ob = location_1
hea = ' Loc: '
do je
ob = locat____2
hea = m
do je
ob = locat____3
hea = m
do je
ob = activity_1
hea = ' Act: '
do je
ob = activ____2
hea = m
do je
ob = activ____3
do je
ob = equipment1
hea = ' Equ: '
do je
ob = equip____2
hea = m
do je
ob = public_o_h
hea = ' Open '
do je
ob = Periodical
hea = ' Pub: '
do je
ob = Engl_Trans
hea = ' Tra: '
do je
?  iif(Character<>'  ',' Cha: '+Character,m+m+m+m)
?? iif(Updated<>'  ',' Updated '+Updated+' ',m+m)
?? iif(Founded<>' ',' Founded '+Founded+' ',m+m)
?? iif(Arow91='y'," AROW'91",m+'  ')+' '
?? iif(Member_o_A<>' ',' Assoc.Member ',m+m+'  ')
?? iif(EAI='y',' EAI','')
?
?
?
skip
enddo

? '</pre>'
? '<p>'
? 'For explanation of the structure, and further information,'
? 'see the typeset version. The author'
? 'will be glad to get your comments and updates.'
? '<a href="mailto:hollan@ped.muni.cz">Please mail him.</a>'
? 'The whole database (*.dbf with the programmes and typeset outputs)'
? 'is available at home server of'
? '<a href="http://astro.sci.muni.cz/pub/hollan/astrinst/">Jan Hollan</a>'
? 'from the'
? '<a href="http://www.sci.muni.cz/obsbrno">N. Copernicus Observatory and'
? 'Planetarium in Brno.</a>'
?
? '<p>(Even this very simple html should be checked, when made, by'
? '<a'
? 'href="http://validator.w3.org/check?uri=http://astro.sci.muni.cz/pub/hollan/astrinst/ai.html">'
? 'W3C Validator</a>, to have its syntax OK.)'
?
? '</body>'
? '</html>'

quit
*set alternate off
*set talk on

procedure je
*  This module   JE.PRG
*   'prints' the line  'ob' and its heading,
*   if the line is not empty.
if .not. ob = '  '
 ?hea+trim(ob)
endif
return


